### Constructor

# Gtk.SortListModel.new

#### Declaration [src]

    GtkSortListModel*
    gtk_sort_list_model_new (
      GListModel* model,
      GtkSorter* sorter
    )

#### Description [src]

Creates a new sort list model that uses the `sorter` to sort `model`.

#### Parameters

`model` | `GListModel*`
| the model to sort, or `NULL`
| Can be `NULL`
| Ownership of the data is transferred to the callee
`sorter` | `GtkSorter`
| the `GtkSorter` to sort `model` with, or `NULL`
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkSortListModel`
a new `GtkSortListModel`
Ownership of the data is transferred to the caller